import { EnvironmentSparkleConfig } from '../../services/environment/environment-config';
import { RouterHistory } from '@stencil/router';
export declare class SparkleRoot {
  history: RouterHistory | null;
  config: EnvironmentSparkleConfig;
  componentWillLoad(): Promise<any>;
  handleStudentNavigationChange: (url: any) => void;
  componentDidLoad(): void;
  render(): any;
}
